Add your Key ID and Secret to send test requests.
Get a plan
Returns one plan with its coverage, allowance, validity and price.
Authorization
KeyId ApiSecret x-key-id<token>
Your API key id.
In: header
x-api-secret<token>
Your API key secret.
In: header
Path Parameters
planId*string
Match
^pln_[A-Za-z0-9_-]{20,128}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/esim/plans/string" \ -H "x-key-id: YOUR_KEY_ID" \ -H "x-api-secret: YOUR_API_SECRET"{
"data": {
"planId": "pln_qAjUV8PBr8c3j3rLMLoeaLx3RxM7q0XByVJBQxfE6Q",
"name": "UK 1MB Test Plan",
"region": "United Kingdom",
"countryCode": "GB",
"countries": [
"GB"
],
"dataMb": 1,
"unlimitedData": false,
"validityDays": 5,
"price": {
"amount": 0.74,
"currency": "EUR"
},
"network": "EE",
"capabilities": {
"data": true,
"voice": false,
"sms": false,
"fiveG": false
}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "The request is not valid. See `fields` for what to correct.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "This endpoint requires an API key.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "No such resource.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource is not in a state that allows this operation.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Retry after the interval in `Retry-After`.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our side.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "SERVICE_RESPONSE_INVALID",
"message": "The upstream service returned an unexpected response.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is temporarily unavailable. Try again shortly.",
"requestId": "9f1c7b2e-…"
}
}